------------------------------------------------------------------------------------
--Name：            200417[简体征服][活动脚本]全球儿童节活动-捉迷藏
--Creator:      江宇君
--Created:     2020-04-17
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>54

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(165,232)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- hero:SetCtrlMapView(1)

-- hero:SetPos(165, 230)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
-- hero:SetDir(4)
-- -- 设置外观：player:SetLook(外观type)
-- hero:SetLook(7)


local playerkid1 = CppScriptMgr:AddSimplePlayer(25210, 165,224, "Bruce~Tao", 4003000006,1)
playerkid1:Say("Do you want to play hide-and-seek with me?", 3000)
local playerkid2 = CppScriptMgr:AddSimplePlayer(25220, 160,218, "Clever", 4003000007,1)
playerkid2:Say("You should be careful! I`m good at the game!", 3000)
local playerkid3 = CppScriptMgr:AddSimplePlayer(25230, 170,219, "Cutter", 4003000008,1)
playerkid3:Say("Hey! Why not play hide-and-seek with me?", 3000)

local player1 = CppScriptMgr:AddSimplePlayer(25240, 130,195, "Desk", 4003000001,1)
local player2 = CppScriptMgr:AddSimplePlayer(25260, 105,228, "Armchair", 4003000002,1)
local player3 = CppScriptMgr:AddSimplePlayer(25270, 186,246, "Jackstraw", 4003000003,1)
player3 = hero:SetZoomPercent(120)
local player4 = CppScriptMgr:AddSimplePlayer(25290, 151,159, "Furnace", 4003000004,1)
local player5 = CppScriptMgr:AddSimplePlayer(25300, 191,171, "Strongbox", 4003000005,1)

CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetViewPosByCell(165,232)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,231)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,230)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,229)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,224)
CppScriptMgr:WaitMilSec(50)


CppScriptMgr:NpcCallOut("Children are keen on playing hide-and-seek in Tao Village. There are furniture everywhere and they can disguise themselves as one of the furniture!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetViewPosByCell(165,224)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(164,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(163,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(162,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(161,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(160,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(159,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(158,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(157,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(156,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(155,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(154,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(153,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(152,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(150,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(149,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(147,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(146,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(144,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(143,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(142,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(141,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(140,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(139,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(138,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(136,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(135,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(134,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(133,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(132,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(131,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(129,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(128,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(127,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(126,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(125,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(124,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(123,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(122,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(121,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(120,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(119,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(118,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(117,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(116,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(115,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(114,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(113,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(112,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(111,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(110,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(109,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(108,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(107,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(106,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(105,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",105,228)
CppScriptMgr:SetViewPosByCell(105,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("I`ll show you around Tao Village. You should bear the position and appearance of these furniture in mind!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(106,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(107,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(108,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(109,224)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(110,223)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(111,222)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(112,221)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(113,220)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(114,219)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(115,218)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(116,217)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(117,216)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(118,215)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(119,214)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(120,213)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(121,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(122,211)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(123,210)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(124,209)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(125,208)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(126,207)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(127,206)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(128,205)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(129,204)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,203)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,202)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,201)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,200)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,199)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,198)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,197)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(130,196)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",130,195)
CppScriptMgr:SetViewPosByCell(130,195)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("When the game begins, children will disguise them as different furniture. If you find them, you win!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(130,195)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(131,194)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(132,193)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(133,192)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(134,191)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(135,190)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(136,189)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(137,188)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(138,187)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(139,186)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(140,185)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(141,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(142,183)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(143,182)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(144,181)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(145,180)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(146,179)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(147,178)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(148,177)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(149,176)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(150,175)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,174)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,172)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,170)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,169)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,168)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,167)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,166)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,165)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,164)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,163)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,162)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,161)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(151,160)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",151,159)
CppScriptMgr:SetViewPosByCell(151,159)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("Children disguise themselves as those furniture which doesn`t exist in the village previously. Find them, and you`ll be awarded!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(152,160)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(153,161)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(154,162)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(155,163)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(156,164)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(157,165)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(158,166)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(159,167)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(160,168)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(161,169)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(162,170)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(163,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(164,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(165,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(166,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(167,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(168,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(169,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(170,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(171,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(172,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(173,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(174,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(175,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(176,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(177,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(178,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(179,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(180,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(181,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(182,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(183,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(184,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(185,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(187,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(188,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(189,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(190,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",191,171)
CppScriptMgr:SetViewPosByCell(191,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("You have 5 chances in total. The more children you find, the more Adventure Coins you will get!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(191,171)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(190,172)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(189,173)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(188,174)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(187,175)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,176)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,177)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,178)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,179)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,180)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,181)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,182)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,183)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,184)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,185)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,186)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,187)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,188)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,189)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,190)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,191)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,192)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,193)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,194)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,195)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,196)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,197)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,198)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,199)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,200)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,201)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,202)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,203)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,204)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,205)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,206)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,207)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,208)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,209)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,210)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,211)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,212)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,213)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,214)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,215)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,216)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,217)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,218)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,219)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,220)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,221)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,222)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,223)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,224)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,225)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,226)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,227)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,228)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,229)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,230)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,231)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,232)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,233)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,234)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,235)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,236)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,237)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,238)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,239)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,240)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,241)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,242)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,243)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,244)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(186,245)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:AddEffect("purpleray",186,246)
CppScriptMgr:SetViewPosByCell(186,246)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("Now, let me count backwards, 3, 2, 1! Now you can go to find Bruce Tao to join in Play & Seek Adventure!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26494", 150, 430, "Bruce~Tao", 250, 655)
CppScriptMgr:WaitMilSec(2000)






